CREATE DATABASE FORUM;

CREATE TABLE TYPE(
	id int NOT NULL AUTO_INCREMENT,
	type VARCHAR(30) UNIQUE,
	PRIMARY KEY (id)
);

CREATE TABLE UTILISATEUR(
	id int NOT NULL AUTO_INCREMENT,
	pseudo VARCHAR(60) UNIQUE,
	email VARCHAR(60) UNIQUE,
	type int NOT NULL,
	PRIMARY KEY(id),
	FOREIGN KEY (type) REFERENCES TYPE(id)
);

CREATE TABLE CATEGORIE(
	id int NOT NULL AUTO_INCREMENT,
	titre VARCHAR(60) UNIQUE,
	PRIMARY KEY(id)
);

CREATE TABLE SUJET(
	id int NOT NULL AUTO_INCREMENT,
	titre VARCHAR(60),
	user int NOT NULL,
	categorie int NOT NULL,
	PRIMARY KEY(id),
	FOREIGN KEY (user) REFERENCES UTILISATEUR(id),
	FOREIGN KEY (categorie) REFERENCES CATEGORIE(id)
);

CREATE TABLE POST(
	id int NOT NULL AUTO_INCREMENT,
	user int NOT NULL,
	sujet int NOT NULL,
	content VARCHAR(500),
	date DATETIME,
	PRIMARY KEY (id),
	FOREIGN KEY (user) REFERENCES UTILISATEUR(id),
	FOREIGN KEY (sujet) REFERENCES SUJET(id)
);
